.what-i-do__section{
    display: flex;
}

.what-i-do__section__img-backgroung{
    background-image: url(../images/what-i-do-bgd.jpg);
    height: 1130px;
    width: 50%;
    background-position: center;
    background-size: cover;
}

.what-i-do__section__information{
    height: 1130px;
    width: 50%;
    background-color: #F5F3EA;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.what-i-do__section__information__title{
    font-family: "Gilroy", sans-serif;
    font-size: 150px;
    font-weight: 300;
    line-height: 173px;
    letter-spacing: 0em;
    color: #252525;
    margin-left: 200px;
}

.what-i-do__section__information__wrraper{
    padding-left: 200px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.what-i-do__section__information__wrraper__item{
    border-bottom: 1px solid #252525;
    width: 85%;
    padding-bottom: 40px;
    position: relative;
    &:nth-last-child(1){
        border: none;
        padding: 0px;
    }
    &:nth-child(1)::before {
        content: "01";
        padding-right: 10px;
        font-weight: 100;
        font-family: 'Gilroy-Light', sans-serif;
        font-size: 40px;
        padding-left: 10px;
        position: absolute;
    }

    &:nth-child(2)::before {
        content: "02";
        padding-right: 10px;
        font-weight: 100;
        font-family: 'Gilroy-Light', sans-serif;
        font-size: 40px;
        padding-left: 10px;
        position: absolute;
    }

    &:nth-child(3)::before {
        content: "03";
        padding-right: 10px;
        font-weight: 100;
        font-family: 'Gilroy-Light', sans-serif;
        font-size: 40px;
        padding-left: 10px;
        position: absolute;
    }

    &:nth-child(4)::before {
        content: "04";
        padding-right: 10px;
        font-weight: 100;
        font-family: 'Gilroy-Light', sans-serif;
        font-size: 40px;
        padding-left: 10px;
        position: absolute;
    }
}

.what-i-do__section__information__wrraper__item__title {
    font-family: "Gilroy-SemiBold", sans-serif;
    font-size: 44px;
    line-height: 80px;
    font-weight: 600;
}

.what-i-do__section__information__wrraper__item__subtitle{
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 28px;
    text-align: left;
}


.footer{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top: 1px solid #252525;
    padding: 20px;
    background-color: #F5F3EA;
    p{
        font-family: "Gilroy-SemiBold", sans-serif;
        font-size: 13px;
        line-height: 21px;
        span{
            font-family: "Gilroy-Regular", sans-serif;
            font-size: 13px;
            line-height: 21px;
        }
    }
}

.footer__social-icon{
    width: 150px;
    display: flex;
    gap: 10px;
}


.section__communication{
    display: flex;
    height: 632.33px;
    background-color: #F5F3EA;
    gap: 150px;
    justify-content: center;
    padding-top: 130px;
    border-top: 1px solid #252525;
}

.section__communication__title{
    font-family: "Gilroy", sans-serif;
    font-size: 155px;
    font-weight: 300;
    line-height: 179px;
    color: #333333;
}

.section__communication__info{
    display: flex;
    flex-direction: column;
    gap: 50px;
    width: 40%;
}

.section__communication__info__button{
    width: 195.41px;
    height: 53.33px;
    border-radius: 50px;
    gap: 10px;
    background-color: #252525;
    display: flex;
    align-items: center;
    justify-content: center;
    p{
        font-family: "Gilroy-Medium", sans-serif;
        font-size: 18px;
        line-height: 21px;
        letter-spacing: 0em;
        color: #FFFFFF;
    }
    span{
        background-color: #FFFFFF;
        height: 2px;
        width: 17px;
        position: relative;
        &::before{
            content: ">";
            position: absolute;
            color: #FFFFFF;
            bottom: -11px;
            left: 8px;
            font-size: 23px;
            font-family: "Gilroy-Medium", sans-serif;
        }
    }
}

.section__communication__info__title{
    font-family: "Gilroy-Bold", sans-serif;
    font-size: 64px;
    line-height: 75px;
    letter-spacing: 0em;
    text-align: left;
    text-transform: uppercase;
}

.section__communication__info__subtitle{
    font-family: "Gilroy-Medium", sans-serif;
    font-size: 34px;
    line-height: 40px;
    letter-spacing: 0em;
    text-align: left;
}

.section__clients{
    background-color: #F5F3EA;
    height: 1700px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    padding-top: 50px;
    border-top: 1px solid #252525;
    text-align: left;
}

.section__clients__title{
    color: #252525;
    font-family: "Gilroy", sans-serif;
    font-size: 212px;
    font-weight: 300;
    line-height: 244px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
}

.section__clients__reviews-wrraper{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 95%;

}

.section__clients__reviews-wrraper__element{
    width: 550px;
    height: 550px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-left: 2%;
    padding-right: 2%;
    padding-top: 30px;
    padding-bottom: 30px;
    img{
        height: 40px;
        width: max-content;
    }
    &:nth-last-child(-n + 3){
        border-top: 1px solid #333333;
    }
    &:nth-child(2){
        border-left: 1px solid #333333;
        border-right: 1px solid #333333;
    }
    &:nth-child(5){
        border-left: 1px solid #333333;
        border-right: 1px solid #333333;
    }
}

.section__clients__reviews-wrraper__element__title{
    font-family: "Gilroy", sans-serif;
    font-size: 35px;
    font-weight: 800;
    line-height: 44px;
    letter-spacing: 0em;
}

.section__clients__reviews-wrraper__element__subtitle{
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 30px;
    letter-spacing: 0em;
    width: 500px;
}

.section__clients__reviews-wrraper__element__dev-biography{
    display: flex;
    gap: 20px;
    img{
        height: 70px;
        width: 70px;
        border-radius: 50px;
    }
    div{
        display: flex;
        flex-direction: column;
        gap: 10px;
        justify-content: center;
    }
}

.section__clients__reviews-wrraper__element__dev-biography__name{
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 600;
    line-height: 20px;
}

.section__clients__reviews-wrraper__element__dev-biography__profession{
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 20px;
}

@media (max-width: 768px) {
    .what-i-do__section{
        display: flex;
        flex-direction: column;
    }
    .what-i-do__section__information{
        height: 990px;
        width: 100%;
    }
    .what-i-do__section__img-backgroung{
        height: 990px;
        width: 100%;
    }
    .what-i-do__section__information__title{
        margin: 0;
        text-align: center;
        font-weight: 300;
        font-size: 150px;
    }
    .what-i-do__section__information__wrraper{
        align-items: center;
        padding: 0;
        width: 100%;
        gap: 10px;
    }
    .what-i-do__section__information__wrraper__item{
        width: 95%;
    }
    .section__communication{
        padding: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 50px;
        height: 800px;
    }
    .section__communication__info{
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 95%;
    }
    .section__communication__title{
        font-size: 150px;
        line-height: 172.95px;
    }
    .section__communication__info__title{
        text-align: center;
        font-size: 64px;
        line-height: 75px;
    }
    .section__communication__info__subtitle{
        text-align: center;
        font-size: 34px;
        line-height: 39.84px;
    }
    .section__clients{
        height: 3200px;
    }
    .section__clients__title{
        font-size: 100px;
        line-height:172.95px;
        font-weight: 300;
    }
    .section__clients__reviews-wrraper__element{
        width: 100%;
        padding: 0px;
        padding-top: 20px;
        height: 470px;
        width: 100%;
        &:nth-last-child(-n + 3){
            border: none;
        }
        &:nth-child(2){
            border: none;
        }
        &:nth-child(5){
            border: none;
        }
        &:nth-child(n-5){
            border-bottom:1px solid #333333;
        }
        &:last-child{
            border: none;
        }
    }
    .what-i-do__section__information__wrraper__item__title{
        padding-left: 60px;
    }
    .section__clients__reviews-wrraper__element__item{
        width: 100%;
    }
    .section__clients__reviews-wrraper__element__subtitle{
        width: 100%;
    }

    .what-i-do__section__information__wrraper__item{

        &:nth-child(1)::before {
            font-size: 43px;
            left: -10px;
            top: 19px;
        }
    
        &:nth-child(2)::before {
            font-size: 43px;
            left: -10px;
            top: 19px;
        }
    
        &:nth-child(3)::before {
            font-size: 43px;
            left: -10px;
            top: 19px;
        }
    
        &:nth-child(4)::before {
            font-size: 43px;
            left: -10px;
            top: 19px;
        }
    }
}

@media (max-width: 320px) {
    .what-i-do__section__img-backgroung{
        height: 370px;
        width: 100%;
    }
    .what-i-do__section__information{
        height: 800px;
    }
    .what-i-do__section__information__title{
        font-size: 65px;
        font-weight: 300;
        line-height: 92px;
    }
    .what-i-do__section__information__wrraper__item{
        display: flex;
        flex-direction: column;
        width: 95%;
        padding-bottom: 20px;
        gap:10px;
    }
    .what-i-do__section__information__wrraper__item__title{
        font-size: 28px;
        line-height: 40px;
    }
    
    .what-i-do__section__information__wrraper__item__subtitle{
        font-size: 17px;
        font-weight: 400;
        line-height: 20px;
    }
    .footer{
        flex-direction: column;
        gap: 15px;
    }
    .section__communication{
        height: 700px;
        gap: 40px;
    }
    .section__communication__info{
        gap: 30px;
    }
    .section__communication__title{
        font-size: 60px;
        line-height: 60px;
    }
    .section__communication__info__title{
        text-align: center;
        font-size: 35px;
        line-height: 45px
    }
    .section__communication__info__subtitle{
        text-align: center;
        font-size: 30px;
        line-height: 35.16px;
    }
    .section__communication__info__button{
        width: 95%;
        height: 50px;
    }
    .section__clients__title{
        font-weight: 300;
        font-size: 45px;
        line-height: 90px;
    }
    .section__clients{
        padding: 0px;
        height: auto;
        gap: 0px;
    }
    .section__clients__reviews-wrraper{
        height: 4100px;
        width: 90%;
    }
    .section__clients__reviews-wrraper__element{
        height: 15%;
        gap: 20px;
    }
    .section__clients__reviews-wrraper__element__title{
        font-size: 30px;
        line-height: 30px;
    }
    .section__clients__reviews-wrraper__element__subtitle{
        font-size: 20px;
        line-height: 25px;
    }
    .section__clients__reviews-wrraper__element__dev-biography{
        gap: 10px;
        img{
            height: 50px;
            width: 50px;
        }
    }
    .section__clients__reviews-wrraper__element__dev-biography__name{
        font-size: 18px;
    }
    .what-i-do__section__information__wrraper__item__title{
        padding-left: 40px;
    }
    .what-i-do__section__information__wrraper__item{

        &:nth-child(1)::before {
            font-size: 28px;
            left: -7px;
            top: 6px;
        }
    
        &:nth-child(2)::before {
            font-size: 28px;
            left: -7px;
            top: 6px;
        }
    
        &:nth-child(3)::before {
            font-size: 28px;
            left: -7px;
            top: 6px;
        }
    
        &:nth-child(4)::before {
            font-size: 28px;
            left: -7px;
            top: 6px;
        }
    }
}